it-swarm.com.ru

Не могу установить php5 в Ubuntu 16.04

поэтому я недавно установил свой первый Ubuntu, а точнее, ежедневную сборку 16.04, на мой новый ноутбук, поскольку аппаратное обеспечение было новым для 15.10. Сейчас я нахожусь в процессе его настройки и хочу установить php5 и некоторые расширения.

Когда я выполняю Sudo apt-get install libapache2-mod-php5, я получаю сообщение об ошибке, что нет никакого установочного пакета, доступного для php5 и libapache2.

Сообщение об ошибке на немецком языке, поэтому я сомневаюсь, что это поможет, но в любом случае здесь это. :-) E: For package »libapache2-mod-php5« existiert kein Installationskandidat.

Нужно ли добавлять репозиторий apt-get? Или что я делаю не так?

52
user529857

TL; DR: Если вы хотите остаться с php5, вам нужно будет остаться в Ubuntu 14.04 LTS

Использование PHP 7.0 в Ubuntu 16.04 LTS

Ubuntu 16.04 перешел на PHP 7.0 с новой инфраструктурой для пакета PHP. Итак, нет, вы не можете установить php5 в Ubuntu 16.04, но вы можете установить PHP 7.0 пакеты с:

apt-get install libapache2-mod-php

Это установит виртуальный пакет, который зависит от последней версии PHP, и получит libapache2-mod-php7.0 в качестве зависимости.

Если вы ищете расширения, всегда используйте также вариант без версии (например, php-apcu вместо php7.0-apcu), поскольку расширения PECL упакованы без версии, чтобы обеспечить плавное обновление.

Использование PHP PPA для совместной установки PHP 5.6 с PHP 7.0

Существует возможность совместной установки PHP 5.6 пакетов с использованием ppa:ondrej/php.

Дополнительную информацию см. В этом ответе: https://askubuntu.com/a/762161/309221

Извлечено из ссылки выше:

Предполагая, что libapache2-mod-php является подходящим способом для включения PHP в Apache для вас, вы можете действовать следующим образом:

Sudo add-apt-repository ppa:ondrej/php

Sudo apt-get update

Sudo apt-get install php7.0 php5.6 php5.6-mysql php-gettext php5.6-mbstring php-xdebug libapache2-mod-php5.6 libapache2-mod-php7.0

Переключить PHP версию (Apache):

  • с php5.6 до php7.0:
    Sudo a2dismod php5.6 ; Sudo a2enmod php7.0 ; Sudo service Apache2 restart

  • с php7.0 до php5.6:
    Sudo a2dismod php7.0 ; Sudo a2enmod php5.6 ; Sudo service Apache2 restart

75
oerdnj

Правка: принятый ответ явно не говорит, как установить PHP 5.6 и 7.0, поэтому я хотел расширить его.

Дополнительную информацию см. В этом ответе: https://askubuntu.com/a/762161/309221

Извлечено из ссылки выше:

Предполагая, что libapache2-mod-php является подходящим способом для включения PHP в Apache для вас, вы можете действовать следующим образом:

Sudo add-apt-repository ppa:ondrej/php

Sudo apt-get update

Sudo apt-get install php7.0 php5.6 php5.6-mysql php-gettext php5.6-mbstring php-xdebug libapache2-mod-php5.6 libapache2-mod-php7.0

Переключить PHP версию (Apache):

  • с php5.6 до php7.0:
    Sudo a2dismod php5.6 ; Sudo a2enmod php7.0 ; Sudo service Apache2 restart

  • с php7.0 до php5.6:
    Sudo a2dismod php7.0 ; Sudo a2enmod php5.6 ; Sudo service Apache2 restart

25
FlavioEscobar